<template>
  <div class="checkbox">
    <input :id="id"
           class="checkbox__input"
           type="checkbox"
           v-model="consent"
    />
    <label :for="id" class="checkbox__label">
      <slot name="label-slot"></slot>
    </label>
  </div>
</template>

<script>
  export default {
    data () {
      return {
        consent: true,
        id: ''
      }
    },
      props: ['value'],
      watch: {
          consent(v) {
              this.$emit('input', v);
          }
      },
    created () {
      this.id  = Math.random().toString(36).substring(7);
      this.consent = this.value;
    }
  }
</script>
